Subject: [VCARDDAV] RTT implementation

From: "Arroyo, Ana Isabel, VF-ES (aarroyo6)" <[email-masked]>
Date: Tue, 17 Mar 2009 11:34:08 +0100

Hello,

We are studying the way of using vCard for Real Time Text, a system for having instant conversation that sends each letter as you type it, you don't have to press return to allow the other person see what you typed. You can access more information of  Real-Time Text at http://www.realtimetext.org/).

It is similar to Instant Messaging, but there are some differences:
 
- Real Time Text implements a synchronous communication.
- It is executed as a text call, so it doesn't need Presence Protocol. 
- For deaf people it is very important the difference. If for example they are in an emergency, time is a key factor. There is a big difference between having to wait until the other person presses return to see what he has typed and watching what he is typing in Real Time.

We are not sure how to use the vCard format for the Real-Time Text addresses. In the current implementation (RFC2426) the only way to do it is with private types, but we would like to have a common standard field for RTT.

We found at the extension RFC 4770 a format proposed for Instant Messaging as: IMPP;TYPE=personal,pref:im:[email-masked]

This RFC is now included in the new draft of vCard (draft-ietf-vcarddav-vcardrev <http://tools.ietf.org/wg/vcarddav/draft-ietf-vcarddav-vcardrev/> ) that you are collaborating with.  It is now described as: IMPP;PREF=1:xmpp:[email-masked]

RTT is not really a IM, because it is not asynchronous. We don't know where we could include the RTT address in the vCard format. We are thinking in two possibilities:

*	Use a similar format to IM for implement the Real Time Text contact information:     IMPP;TYPE=personal,pref:rtt:[email-masked]
*	Have a different type for RTT, as it cannot be considered a IM service.

We prefer the second option but we don't know if it is feasible. We would like to collaborate with you to include a RTT field in the vCard format because we think that it is very important to have a standardized way of exchanging RTT addresses through the vCard.

If you don't think it is possible to include RTT as part of the vCard format, do you think we could use the first option that we have proposed?

Thank you in advance.

Best regards,

Ana Isabel Arroyo Hernández

Confidencialidad
Este correo electrónico y, en su caso, cualquier fichero anexo al mismo, contiene información de carácter confidencial exclusivamente dirigida a su destinatario o destinatarios y propiedad de Vodafone España. Queda prohibida su divulgación, copia o distribución a terceros sin la previa autorización escrita de Vodafone España, en virtud de la legislación vigente. En el caso de haber recibido este correo electrónico por error, se ruega notificar inmediatamente esta circunstancia mediante reenvío a la dirección electrónica del remitente y la destrucción del mismo. 

Confidentiality
The information in this e-mail and in any attachments is classified as Vodafone España Confidential and Proprietary Information and solely for the attention and use of the named addressee(s). You are hereby notified that any dissemination, distribution or copy of this communication is prohibited without the prior written consent of Vodafone España and is s strictly prohibited by law. If you have received this communication in error, please, notify the sender by reply e-mail.

---

From: Simon Perreault <[email-masked]>
Date: Tue, 17 Mar 2009 08:29:29 -0400

Arroyo, Ana Isabel, VF-ES (aarroyo6) wrote, On 03/17/2009 06:34 AM:
> ·       Use a similar format to IM for implement the Real Time Text
> contact information:     IMPP;TYPE=personal,pref:rtt:[email-masked]
> 
> ·       Have a different type for RTT, as it cannot be considered a IM
> service.

I think the first option is much better. It really doesn't matter if RTT is IM
or not. The fact is that the IMPP property is a good fit for your application.

What you need to do is define your own URI scheme. The xmpp: scheme was defined
in RFC 5122, so it might be a good idea to look at this document for
inspiration. Its author, Peter Saint-André, is an active participant in this
working group and he's probably listening in.

After you do that, no change is needed to vCard. Any URI may be used in the IMPP
property. You would end up with something like:

  IMPP:rtt:[email-masked]

Simon
-- 
STUN/TURN server    --> http://numb.viagenie.ca
Interplanetary news --> http://reeves.viagenie.ca
vCard 4.0           --> http://www.vcarddav.org

---

From: "Arroyo, Ana Isabel, VF-ES (aarroyo6)" <[email-masked]>
Date: Tue, 17 Mar 2009 13:44:47 +0100

OK. We will look at the document RFC 5122 and will contact the wg for any other question.

Thank you Simon.

Ana

-----Mensaje original-----
De: Simon Perreault [mailto:[email-masked]] 
Enviado el: martes, 17 de marzo de 2009 13:29
Para: Arroyo, Ana Isabel, VF-ES (aarroyo6)
CC: [email-masked]
Asunto: Re: [VCARDDAV] RTT implementation

Simon

Confidentiality